Retail Express API 2.1

Deletes Loyalty Adjustment Reason by id

Deletes Loyalty Adjustment Reason by id

delete
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Loyalty Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Loyalty Adjustment Reason deleted

delete/loyaltyadjustmentreasons/{id}
 

loyaltyadjustments

Creates Loyalty Adjustment

Sample request:

 POST /loyaltyadjustments
    {
         "customer_id": 100001,
         "customer_number": "100001",
         "loyalty_points_delta": 50,
         "adjustment_reason": {
             "id": 1
         }
    }
post
https://api.retailexpress.com.au/v2.1/loyaltyadjustments

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Loyalty Adjustment created

CustomerLoyaltyHistory

Customer Loyalty History model

* Additional properties are NOT allowed.
idinteger(int32)

Id

created_onstring(date-time)

Created On

order_itemobject

Order Item Model

* Additional properties are NOT allowed.
Show Child Parameters
adjustment_reasonobject

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
loyalty_points_deltanumber(double)

Loyalty Points Delta

loyalty_points_availablenumber(double)

Loyalty Points Available

rationumber | null(double)

Ratio

post/loyaltyadjustments

Body

{}
 
application/json

loyaltyhistory

Searches Loyalty History

Searches Loyalty History

get
https://api.retailexpress.com.au/v2.1/loyaltyhistory

Query Parameters

filter_bystring | null

Filter by.
Available field name values: created_on, order_id, order_number, product_id, supplier_sku, adjustment_reason_id, loyalty_points_delta, loyalty_points_available, ratio.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: order_id:eq:1, supplier_sku:eq:test

order_bystring | null

Order by.

Available field name values: id, created_on, order_id, product_id, adjustment_reason, loyalty_points_delta.

Available direction values: asc, desc.

Example: id asc, name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Loyalty History data

LoyaltyHistory.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Loyalty History model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/loyaltyhistory
 
application/json